IMFI Bugs - Bug #165

[IMFI] Report Separation
01/27/2021 04:42 PM - Andi Saputra

Status: Closed Start date: 01/27/2021
Priority: Urgent Due date: 01/29/2021
Assignee: Saswanto Tampan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Developer,
mohon bantuannya untuk tuning report Separation Detail, saat ini proses pengeluaran report tersebut sangat lama.

Terlampir SP,

History

#1 - 01/27/2021 04:43 PM - Andi Saputra
- File SP - Rpt Separation Detail.txt added

#2 - 02/18/2021 09:52 AM - Saswanto Tampan
- Status changed from Assigned to Revise

- Assignee changed from Saswanto Tampan to Andi Saputra

proses ini walaupun sudah di tun sp nya tidak terlalu menghemat waktu, karna saat membaca data transaksi yangmencapai 900 ribu rows sudah
memakan waktu pada bagian

SELECT distinct employee_id ,

wage_type ,

dbo.GetPEN(@landscape, amount) amount_separation

FROM  dbo.hr_tr0301

WHERE wage_type IN (

SELECT code

FROM dbo.hr_cu0300

WHERE is_pesangon ="Y'

AND code NOT IN ('5100', 'TP") )--IN

and pay_period_month=@period_month and pay_period_year=@period_year

solusi potong data hr_tr0301

#3 - 05/19/2021 11:33 AM - Saswanto Tampan
- File NEWQUERYIMFI.txt added
- File 2021-05-19_11-18-54.jpg added

- Status changed from Revise to QA Test

Boleh di coba menggunakan query yang baru (NEWQUERYIMFI), TERLAMPIR TIMMING REQUEST BERDASARKAN HASIL TESTING DI DB
INTERNAL KITA MENGGUNAKAN query yang baru (NEWQUERYIMFI) 7 MENIT 35 DETIK

#4 - 06/08/2021 07:32 PM - Andi Saputra
- Status changed from QA Test to Deploy

- Assignee changed from Andi Saputra to Saswanto Tampan

Testing ok, report sudah keluar dan sudah deploy.
Update SP, tq mang

#5 - 12/01/2021 02:00 PM - Saswanto Tampan
- Status changed from Deploy to QA Test

- Assignee changed from Saswanto Tampan to Muhammad Bintar
#6 - 04/27/2022 11:07 AM - Muhammad Bintar
- Status changed from QA Test to Closed

- Assignee changed from Muhammad Bintar to Saswanto Tampan

Files

SP - Rpt Separation Detail.txt 18.6 KB

NEWQUERYIMFI.txt 19 KB

2021-05-19_11-18-54.jpg 425 KB
